Package twisted :: Package python :: Module components :: Class _ThingWithTwoSlots

[show private | hide private]
[frames | no frames]

## Class _ThingWithTwoSlots

    object --+
             |
            _ThingWithTwoSlots

Method Summary
| `__init__(self, a, b)`
| `__eq__(self, other)`
| `__getstate__(...)`
| `__hash__(self)`
a new object with type S, a subtype of T | ``__new__`(S, ...)` T.__new__(S, ...) -> a new object with type S, a subtype of T

Class Variable Summary
`list` | `__slots__`
`member_descriptor` | `a`
`member_descriptor` | `b`

Method Details

### __new__(S, ...)

T.__new__(S, ...) -> a new object with type S, a subtype of T

  Returns:
    a new object with type S, a subtype of T

Class Variable Details

### __slots__

  Type:
    `list`
  Value:

        ['a', 'b']

### a

  Type:
    `member_descriptor`
  Value:

        <member 'a' of '_ThingWithTwoSlots' objects>

### b

  Type:
    `member_descriptor`
  Value:

        <member 'b' of '_ThingWithTwoSlots' objects>

Generated by Epydoc 1.1 on Thu May 8 13:19:29 2003 | http://epydoc.sf.net